v3.0: Duplicate index_total and ca_index in order lists
05/09/2024 11:33 AM - Zhongbao Ye

Status: aa Start date:

Priority: aa Due date:

Assignee: Xihua Fan % Done: 0%
Category: Estimated time: 8.00 hours
Target version: v3.0 Spent time: 0.00 hour
Description

Task Details
<?php
// 00000
Spdo = new PDO("mysgl:host=localhost;dbname=your_database", "username", "password");

try {
// 0000
$Spdo->beginTransaction () ;

// 000000000

$stmt = $pdo->prepare ("SELECT MAX (key) AS max_key FROM order_table FOR UPDATE");
$stmt->execute () ;

Srow = $stmt—->fetch (PDO: :FETCH_ASSOC) ;

SmaxKey = Srow|'max_key'];

// 00000000
$SnewKey = S$maxKey + 1;

// 00000

$stmt = $pdo->prepare ("INSERT INTO order_table (key, ...) VALUES (?, ...)");
$stmt->execute ([SnewKey, ...]1); // 00000000

// 0000

Spdo->commit () ;

echo "000000000D000DOO0™ . $newKey;
} catch (Exception $e) {

// 000000000

Spdo->rollBack () ;
echo "0000000"™ . $Se->getMessage();

Input

* QQ from sales staff
Output

¢ Report and Solution

Others
History

#1 - 10/08/2024 10:57 AM - Xihua Fan

- Target version set to v3.0

#2 - 10/11/2024 10:21 AM - Xihua Fan

- Subject changed from Duplicate index_total and ca_index in order lists to v3.0: Duplicate index_total and ca_index in order lists

#3 - 10/11/2024 10:31 AM - Xihua Fan

- Assignee set to Xihua Fan
